Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004835OCaml~DO NOT USE (was: OCaml general)public2009-07-13 15:452009-12-08 17:50
Reportergareuselesinge 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.12.0+dev 
Summary0004835: None _ accepted as pattern match
Description# let f x = match x with Some y -> y | None _ -> assert false;;
val f : 'a option -> 'a = <fun>

And if I use a name instead of _ it complains that None takes no arguments,
but likes 1 (not more) discarded arguments.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0004675closed Compiler fails to warn about pattern Top _ when Top is a 0-ary constructor 
duplicate of 0004717closed Ocaml does not warn about invalid wildcard uses 
related to 0004052closed Constructeur constant et _ 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-07-13 15:45 gareuselesinge New Issue
2009-07-15 15:06 xclerc Relationship added duplicate of 0004675
2009-07-15 15:07 xclerc Relationship added duplicate of 0004717
2009-07-15 15:07 xclerc Relationship added related to 0004052
2009-12-08 17:50 doligez Status new => closed
2009-12-08 17:50 doligez Resolution open => fixed
2009-12-08 17:50 doligez Fixed in Version => 3.12.0+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker